Loading...
Searching...
No Matches
TreeData< ROOT_LEVEL > Struct Template Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for TreeData< ROOT_LEVEL >:

## Public Member Functions

template<typename RootT>
void | setRoot (const RootT *root)
template<typename RootT>
RootT * | getRoot ()
template<typename RootT>
const RootT * | getRoot () const
template<typename NodeT>
void | setFirstNode (const NodeT *node)

## Public Attributes

uint64_t | mNodeOffset [4]
uint32_t | mNodeCount [3]
uint32_t | mTileCount [3]
uint64_t | mVoxelCount

## Member Function Documentation

## getRoot() [1/2]

template<int ROOT_LEVEL = 3>
template<typename RootT>

RootT * getRoot | ( |  | ) |

inline

## getRoot() [2/2]

template<int ROOT_LEVEL = 3>
template<typename RootT>

const RootT * getRoot | ( |  | ) | const

inline

## setFirstNode()

template<int ROOT_LEVEL = 3>
template<typename NodeT>

void setFirstNode | ( | const NodeT * | node | ) |

inline

## setRoot()

template<int ROOT_LEVEL = 3>
template<typename RootT>

void setRoot | ( | const RootT * | root | ) |

inline

## Member Data Documentation

## mNodeCount

template<int ROOT_LEVEL = 3>

uint32_t mNodeCount[3]

## mNodeOffset

template<int ROOT_LEVEL = 3>

uint64_t mNodeOffset[4]

## mTileCount

template<int ROOT_LEVEL = 3>

uint32_t mTileCount[3]

## mVoxelCount

template<int ROOT_LEVEL = 3>

uint64_t mVoxelCount